Bug 2236766 (CVE-2023-39352) - CVE-2023-39352 freerdp: invalid offset validation leading to Out Of Bound Write
Summary: CVE-2023-39352 freerdp: invalid offset validation leading to Out Of Bound Write
Keywords:
Status: NEW
Alias: CVE-2023-39352
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2236767 2236768
Blocks: 2236652
TreeView+ depends on / blocked
 
Reported: 2023-09-01 13:13 UTC by Marian Rehak
Modified: 2024-04-30 09:48 UTC (History)
2 users (show)

Fixed In Version: freerdp 2.11.0, freerdp 3.0.0-beta3
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in FreeRDP. An out-of-bounds write may occur when the values `rect->left` and `rect->top` are exactly equal to `surface->width` and `surface->height`. eg. `rect->left` == `surface->width` && `rect->top` == `surface->height`. This issue can result in a crash.
Clone Of:
Environment:
Last Closed:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2024:2208 0 None None None 2024-04-30 09:48:54 UTC

Description Marian Rehak 2023-09-01 13:13:50 UTC
FreeRDP is a free implementation of the Remote Desktop Protocol (RDP), released under the Apache license. Affected versions are subject to an invalid offset validation leading to Out Of Bound Write. This can be triggered when the values `rect->left` and `rect->top` are exactly equal to `surface->width` and  `surface->height`. eg. `rect->left` == `surface->width` && `rect->top` == `surface->height`. In practice this should cause a crash. This issue has been addressed in versions 2.11.0 and 3.0.0-beta3. Users are advised to upgrade. There are no known workarounds for this vulnerability.


https://github.com/FreeRDP/FreeRDP/security/advisories/GHSA-whwr-qcf2-2mvj
https://github.com/FreeRDP/FreeRDP/blob/63a2f65618748c12f79ff7450d46c6e194f2db76/libfreerdp/gdi/gfx.c#L1219-L1239

Comment 2 errata-xmlrpc 2024-04-30 09:48:53 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2024:2208 https://access.redhat.com/errata/RHSA-2024:2208


Note You need to log in before you can comment on or make changes to this bug.